### File

`src/app/shared/interfaces/clock.interface.ts`

### Description

A class interface just for documentation purpose

    class Clock implements ClockInterface {
        currentTime: Date;
        constructor(h: number, m: number) { }
    }

### Extends

`TimeInterface`

### Index

###### Properties

- currentTime

###### Methods

- reset

### Methods

reset
`reset()`
Defined in src/app/shared/interfaces/clock.interface.ts:22
A simple reset method Returns : `void`

### Properties

currentTime
The current time property is deprecated
`currentTime: `Date``
Type : `Date`
The current time

# Clock interface

    import { TimeInterface } from './time.interface';

    /**
     * A class interface just for documentation purpose
     * ```typescript
     * class Clock implements ClockInterface {
     *     currentTime: Date;
     *     constructor(h: number, m: number) { }
     * }
     * ```
     */
    interface ClockInterface extends TimeInterface {
        /**
         * The current time
         * @type {Date}
         * @deprecated The current time property is deprecated
         */
        currentTime: Date;
        /**
         * A simple reset method
         */
        reset(): void;
    }

# results matching ""

# No results matching ""